Modify

Opened 4 years ago

Closed 3 years ago

Last modified 3 years ago

#11006 closed defect (fixed)

improve display of public transport related icons in mappaint style

Reported by: Klumbumbus Owned by: team
Priority: normal Milestone: 16.06
Component: Internal mappaint style Version:
Keywords: template_report Cc: darya

Description

public transport icons are somehow confusing and need a complete review.
examples:
*public_transport=* should have higher priority than legacy
*stop_positions shows a hand in preset but a red dot in mappaint
*icons of platform and stop_position together with e.g. tram/bus/train/...=yes are confused
*aerial=yes ?? (wiki says aerialway=yes and also only for stop_position not for platform)

Revision: 7978
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: Klumbumbus
Last Changed Date: 2015-01-22 01:10:40 +0100 (Thu, 22 Jan 2015)
Build-Date: 2015-01-22 02:34:20
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 7978

Identification: JOSM/1.5 (7978 en) Windows 7 32-Bit
Memory Usage: 387 MB / 742 MB (68 MB allocated, but free)
Java version: 1.8.0_31, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_31\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=53458, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Program arguments: [--debug]
Dataset consistency test: No problems found

Attachments (0)

Change History (19)

comment:1 Changed 4 years ago by Klumbumbus

Component: CoreInternal mappaint style

comment:2 Changed 3 years ago by Klumbumbus

Milestone: 16.06
Last edited 3 years ago by Klumbumbus (previous) (diff)

comment:3 Changed 3 years ago by Klumbumbus

In 10429/josm:

see #11006 - rework of public transport mappaint style and presets, mainly icon improvements, prioritise ptv2 over legacy, drop transport types for platform

comment:4 Changed 3 years ago by Klumbumbus

Cc: darya added

To avoid confusion during your plugin development. I reworked some of the public transport related icons. Maybe some minor tweaks will follow.

comment:5 Changed 3 years ago by Klumbumbus

In 10439/josm:

see #11006 - adjust public transport icons, see also [o32342]

comment:6 in reply to:  5 Changed 3 years ago by rickmastfan67

Replying to Klumbumbus:

In 10439/josm:

see #11006 - adjust public transport icons, see also [o32342]

Saw this pop up because of your changes in the console this morning:

ERROR: Failed to locate image 'presets/ferry.svg'
WARNING:  Ferry Terminal: Could not get presets icon presets/ferry.svg
ERROR: Failed to locate image 'presets/ferry.svg'
WARNING:  Ferry Route: Could not get presets icon presets/ferry.svg
URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-06-21 01:29:31 +0200 (Tue, 21 Jun 2016)
Build-Date:2016-06-21 01:33:29
Revision:10448
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10448 en) Windows 7 64-Bit
Memory Usage: 456 MB / 1820 MB (383 MB allocated, but free)
Java version: 1.8.0_77-b03, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugins:
- OpeningHoursEditor (32158)
- buildings_tools (32158)
- measurement (32324)
- osmarender (31772)
- reverter (32158)
- turnlanes-tagging (1466175713)
- turnrestrictions (32158)
- undelete (32158)
- utilsplugin2 (32158)

comment:7 Changed 3 years ago by Klumbumbus

In 10449/josm:

see #11006 - fix ferry icon links

comment:8 Changed 3 years ago by Klumbumbus

In 10450/josm:

see #11006, see #13015 - change priority of the different public_transport=stop_position icons in the mapview and improve the layout of the preset

comment:9 Changed 3 years ago by Polyglot

Hi Klumbumbus,

Thank you for doing this. Unfortunately the public_transport=platform nodes have become almost invisible now.

There is a style called PTStops, which does something a lot simpler:

squares for platform nodes
circles for stop_position nodes

white if bus, tram, etc are missing

blue for bus=yes
red for tram=yes

I had started to use that style and appreciated it a lot. Because when those squares/circles are white, it's immediately apparent somthing is off.

Of course there is nothing stopping me from continuing to use it.

Polyglot

comment:10 in reply to:  9 Changed 3 years ago by Klumbumbus

Replying to Polyglot:

Unfortunately the public_transport=platform nodes have become almost invisible now.

Can you give a screenshot? To me it is good visible.

There is a style called PTStops, which does something a lot simpler:

squares for platform nodes
circles for stop_position nodes

white if bus, tram, etc are missing

blue for bus=yes
red for tram=yes

For the "default user" it is better to have icons, because he doesn't know what the shapes and colors mean without to look in the documentation (or finding out by trial and error).

Because when those squares/circles are white, it's immediately apparent somthing is off.

This is possible also with the internal style for stop_positions (small red dot when vehicle type is missing (except for the still missing icons for shre taxi and funicular)). platforms are not designed to have vehicle types anyway.

comment:11 Changed 3 years ago by Polyglot

platform ways don't. If platform nodes don't mention vehicle type, they don't get role platform when added to the route relations, so for the nodes it does matter.

Jo

comment:12 Changed 3 years ago by Klumbumbus

Then this is a bug. Please create an own ticket for this.

comment:13 Changed 3 years ago by Klumbumbus

In 10501/josm:

see #11006 and #13015 - add icon for public_transport=stop_position funicular=yes, icon see [o32421]

comment:14 in reply to:  11 Changed 3 years ago by Klumbumbus

Replying to Polyglot:

If platform nodes don't mention vehicle type, they don't get role platform when added to the route relations

I cannot reproduce this with r10497 (route needs to have public_transport:version=2)

comment:15 Changed 3 years ago by Polyglot

Back when I was discovering PT mapping, I'm pretty sure this was the case.

I tried it now, and either this changed, or I misunderstood.

Anyway, as far as I'm concerned, it's the platform nodes that get all the details:
name, ref, route_ref, operator, network, zone, etc.

so adding bus/tram on there is what makes sense to me. In fact, it's what my conversion script does with the data from the providers. (when calculating route_ref, it's obvious if trams and/or buses serve that stop)

stop_position has always been a second rate citizen over here. Not all 70000 of them are mapped and I won't put them in the route relations. I prefer to keep things as simple as possible.

Now since stop_position nodes are always part of highways/railways, it's already quite obvious which mode of transport they serve for. Not so for the platform nodes, so that's the other reason why it made sense to me to map bus/tram on the platform nodes.

Jo

comment:16 in reply to:  15 Changed 3 years ago by Klumbumbus

Replying to Polyglot:

Anyway, as far as I'm concerned, it's the platform nodes that get all the details:
name, ref, route_ref, operator, network, zone, etc.

Wiki says it the other way round for the vehicle types:

To me it makes more sense to put the vehicle type at the stop position. Different vehicle types (bus, tram) can use the same way and stop at different positions (while having a common platform). One platforms can be for different vehicle types. It is more important to know where the vehicle stops (i.e. where I can enter the vehicle) than where I can wait for the vehicle. (It is not important if I wait for the bus at a tram platform or the other way round or if I wait beside the platform.)

comment:17 Changed 3 years ago by Klumbumbus

In 10502/josm:

see #11006 and #13015 - add icon for public_transport=stop_position share_taxi=yes, icon see [o32449]

comment:18 Changed 3 years ago by Klumbumbus

Resolution: fixed
Status: newclosed

comment:19 Changed 3 years ago by Klumbumbus

see also [o32663]

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.